Make eapol_test error on freebsd

Jouni Malinen j at w1.fi
Tue Dec 18 07:55:34 EST 2012


On Wed, Dec 05, 2012 at 04:28:37PM +0800, Jai Shukeri wrote:
> I try to compile eapol_test on freebsd 9, but return an error. Please
> advice ..
> 
> error : /usr/bin/ld: cannot find -lnl.

I don't think FreeBSD uses libnl or nl80211 (which would be the part
bringing this library into the build). You should remove
CONFIG_DRIVER_NL80211=y from wpa_supplicant/.config.

-- 
Jouni Malinen                                            PGP id EFC895FA


More information about the HostAP mailing list